scripts for YJCPH_110030

Published: 27 November 2020| Version 1 | DOI: 10.17632/scj72c967f.1
Contributors:
Teeratorn Kadeethum,
Sanghyun Lee,
Francesco Ballarin,
Hamid M. Nick

Description

These scripts are used for Enriched Galerkin Discretization for Modeling Poroelasticity and Permeability Alteration in Heterogeneous Porous Media It has been tested only in the Linux operating system, and the main dependencies are Numpy (≥ 1.16.5), FEniCS (≥ 2018.1.0) with PETSc (≥ 3.10.5) and petsc4py (≥ 3.10), and multiphenics (≥ 0.2.0).

Files